{
  "factory": {
    "id": "aggregation-repository-entaxy-ignite",
    "type": "entaxy.runtime.route.component.aggregation.repository",
    "displayName": "ENTAXY :: IGNITE",
    "description": "A memory based AggregationRepository which stores Exchanges in ignite cache only.",
    "isAbstract": false,
    "parent": "abstract-aggregation-repository",
    "label": "",
    "category": "",
    "shortName": "MemoryAggregationRepository",
    "@SEE": "camel-base"
  },
  "entaxy.runtime.route.component.aggregation.repository": {
    "className": "ru.entaxy.esb.system.common.aggregation.repo.IgniteAggregationRepository"
  },
  "fields": {
  	"maximumRedeliveries": {
        "displayName": "Maximum Redeliveries",
        "description": "Sets the maximum redeliveries x \u003d redeliver at most x times 0 \u003d no redeliveries -1 \u003d redeliver forever. For more details see <a target=\"_blank\" href=\"https://docs.entaxy.ru/entaxy-core/${project.version}/core/redelivery.html\">Entaxy docs</a> and <a target=\"_blank\" href=\"https://camel-docs.entaxy.ru/manual/${camel-docs.version}/faq/how-do-i-retry-failed-messages-forever.html\">Camel docs</a>",
        "type": "number",
  		"required": true,
  		"defaultValue": 10
  	},
    "deadLetterUri": {
        "displayName": "Dead Letter Uri",
    	"type": "String",
    	"required": true,
    	"defaultValue": "mock:none"
    }  	
  },
  "outputs": {
  	"init": {
  		"fields": {
  			"maximumRedeliveries": {},
  			"deadLetterUri": {}		
  		}
  	}
  }
}
